#include <QCoreApplication>
#include <QUrl>
#include <QNetworkAccessManager>
#include <QNetworkRequest>
#include <QObject>
#include <QNetworkReply>

int main(int argc, char *argv[]){
    QCoreApplication a(argc, argv);
    //QUrl productionUrl("http://localhost:8980");
    //QUrl productionUrl("https://grpc.lurity.com:8980");
    QUrl productionUrl("https://www.atlassian.com");
    QNetworkRequest req(productionUrl);
    req.setAttribute(QNetworkRequest::Http2DirectAttribute,true);
    req.setHeader(QNetworkRequest::ContentTypeHeader,"application/json");
    QByteArray params("{}");
    QNetworkAccessManager manager;
    QNetworkReply* replay= manager.post(req,params);
    QEventLoop loop;
    QObject::connect(replay, &QNetworkReply::finished, &loop, &QEventLoop::quit);
    QObject::connect(replay,SIGNAL(error(QNetworkReply::NetworkError)),&loop,SLOT(quit()));
    if(replay->isOpen()){
        loop.exec();
    }
    qDebug()<<replay->error()<<replay->errorString();
    qDebug()<<replay->readAll();
    return 0;
}
